Statistics
2731
0
0
273d
Badges
Dependencies

#nedryse/simple-translator (cc)# Pavel Železný (2bfree), 2014 (pavelzelezny.cz)

Requirements

Nette Framework 2.4.0 or higher

Documentation

Simple implementation of \Nette\Localization\ITranslator interface. Just print the key as is. Usefull when you have no time for managing gettext translation but want translatable application in the future.

Instalation

Prefered way to install is by Composer

composer require nedryse/simple-translator:~1.1

Or by manualy adding into the composer.json

{
	"require":{
		"nedryse/simple-translator": "~1.1"
	}
}

Setup

Add following code into the config.neon

common:
	extensions:
		translator: Nedryse\Nette\Localization\SimpleTranslatorExtension

Usage

In Latte templates of presenters and components you can use standard tlanslator macro

{_'Translatable text'}
{_'We have %d translatable text', $count}
{_'Field %s have to be translated', $fieldName}
{_'Field %s with %d letter have to be translated', $fieldName, $count}

No release at this moment. Try to create first one.

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com